//JOBCRD@  JOB (001,ABCDEFG),'TEST JOBCRD',CLASS=A,MSGCLASS=X           00010000
//JOBCRD   EXEC COBUCLG                                                 00020000
//COB.SYSIN DD *                                                        00030000
000100 IDENTIFICATION DIVISION.                                         00031000
000200 PROGRAM-ID. JOBCARD.                                             00032000
000300 AUTHOR. JAY MOSELEY.                                             00033000
000400 DATE-WRITTEN. APRIL, 2008.                                       00034000
000500 DATE-COMPILED.                                                   00035000
000600                                                                  00036000
000700* ************************************************************* * 00037000
000800* VALIDATE JOBCARD INFORMATION RETRIEVAL SUBROUTINE.            * 00038000
000900* ************************************************************* * 00039000
001000                                                                  00039100
001100 ENVIRONMENT DIVISION.                                            00039200
001200 CONFIGURATION SECTION.                                           00039300
001300 SOURCE-COMPUTER. IBM-370.                                        00039400
001400 OBJECT-COMPUTER. IBM-370.                                        00039500
001500                                                                  00039600
001600 INPUT-OUTPUT SECTION.                                            00039700
001700 FILE-CONTROL.                                                    00039800
001800                                                                  00039900
001900     SELECT REPORT-FILE                                           00040000
002000         ASSIGN TO UR-S-SYSPRINT.                                 00040100
002100                                                                  00040200
002200 DATA DIVISION.                                                   00040300
002300 FILE SECTION.                                                    00040400
002400                                                                  00040500
002500 FD  REPORT-FILE                                                  00040600
002600     LABEL RECORDS ARE OMITTED                                    00040700
002700     REPORT IS THE-REPORT.                                        00040800
002800                                                                  00040900
002900 WORKING-STORAGE SECTION.                                         00041000
003000 77  END-OF-FILE-SWITCH          PIC X(1)    VALUE 'N'.           00041100
003100     88  END-OF-FILE                         VALUE 'Y'.           00041200
003200                                                                  00041300
003300 01  PARAMETER-BLOCK.                                             00041400
003400     03  PB-JOBNAME              PIC X(08).                       00041500
003500     03  PB-MSGCLASS             PIC X(01).                       00041600
003600     03  PB-PRIORITY             PIC 9(04)   COMP.                00041700
003700     03  PB-REGION               PIC 9(04)   COMP.                00041800
003800     03  PB-TIME                 PIC 9(08)   COMP.                00041900
003900     03  PB-NAME                 PIC X(20).                       00042000
004000     03  PB-ACCOUNT              PIC X(50).                       00042100
004100     03  PB-ACCOUNTL             PIC 9(04)   COMP.                00042200
004200     03  PB-ROOM                 PIC X(50).                       00042300
004300     03  PB-ROOML                PIC 9(04)   COMP.                00042400
004400     03  PB-JOBCLASS             PIC X(01).                       00042500
004500     03  PB-JES2NUMBER           PIC X(04).                       00042600
004600                                                                  00042700
004700 REPORT SECTION.                                                  00042800
004800 RD  THE-REPORT                                                   00042900
004900     PAGE LIMIT IS 66 LINES                                       00043000
005000     HEADING 1                                                    00043100
005100     FIRST DETAIL 5                                               00043200
005200     LAST DETAIL 60.                                              00043300
005300                                                                  00043400
005400 01  TYPE PAGE HEADING.                                           00043500
005500     02  LINE 1.                                                  00043600
005600         03  COLUMN 27   PIC X(41) VALUE                          00043700
005700             'TESTING: JOBCRD SUBROUTINE               '.         00043800
005800                                                                  00043900
005900 01  THE-DETAIL TYPE DETAIL.                                      00044000
006000     02  LINE PLUS 1.                                             00044100
006100         03  COLUMN 01 PIC X(20) VALUE 'JOBNAME . . . . . . '.    00044200
006200         03  COLUMN 21 PIC X(08) SOURCE PB-JOBNAME.               00044300
006300     02  LINE PLUS 1.                                             00044400
006400         03  COLUMN 01 PIC X(20) VALUE 'MSGCLASS  . . . . . '.    00044500
006500         03  COLUMN 21 PIC X(01) SOURCE PB-MSGCLASS.              00044600
006600     02  LINE PLUS 1.                                             00044700
006700         03  COLUMN 01 PIC X(20) VALUE 'PRIORITY  . . . . . '.    00044800
006800         03  COLUMN 21 PIC 9(04) SOURCE PB-PRIORITY.              00044900
006900     02  LINE PLUS 1.                                             00045000
007000         03  COLUMN 01 PIC X(20) VALUE 'REGION  . . . . . . '.    00045100
007100         03  COLUMN 21 PIC 9(04) SOURCE PB-REGION.                00045200
007200     02  LINE PLUS 1.                                             00045300
007300         03  COLUMN 01 PIC X(20) VALUE 'TIME  . . . . . . . '.    00045400
007400         03  COLUMN 21 PIC 9(08) SOURCE PB-TIME.                  00045500
007500     02  LINE PLUS 1.                                             00045600
007600         03  COLUMN 01 PIC X(20) VALUE 'PROGRAMMER  . . . . '.    00045700
007700         03  COLUMN 21 PIC X(20) SOURCE PB-NAME.                  00045800
007800     02  LINE PLUS 1.                                             00045900
007900         03  COLUMN 01 PIC X(20) VALUE 'ACCOUNT . . . . . . '.    00046000
008000         03  COLUMN 21 PIC X(01) VALUE '('.                       00046100
008100         03  COLUMN 22 PIC 9(04) SOURCE PB-ACCOUNTL.              00046200
008200         03  COLUMN 26 PIC X(01) VALUE ')'.                       00046300
008300         03  COLUMN 28 PIC X(50) SOURCE PB-ACCOUNT.               00046400
008400     02  LINE PLUS 1.                                             00046500
008500         03  COLUMN 01 PIC X(20) VALUE 'ROOM  . . . . . . . '.    00046600
008600         03  COLUMN 21 PIC X(01) VALUE '('.                       00046700
008700         03  COLUMN 22 PIC 9(04) SOURCE PB-ROOML.                 00046800
008800         03  COLUMN 26 PIC X(01) VALUE ')'.                       00046900
008900         03  COLUMN 28 PIC X(50) SOURCE PB-ROOM.                  00047000
009000     02  LINE PLUS 1.                                             00047100
009100         03  COLUMN 01 PIC X(20) VALUE 'CLASS . . . . . . . '.    00047200
009200         03  COLUMN 21 PIC X(20) SOURCE PB-JOBCLASS.              00047300
009300     02  LINE PLUS 1.                                             00047400
009400         03  COLUMN 01 PIC X(20) VALUE 'JES2 JOBNUMBER  . . '.    00047500
009500         03  COLUMN 21 PIC X(04) SOURCE PB-JES2NUMBER.            00047600
009600                                                                  00047700
009700 PROCEDURE DIVISION.                                              00047800
009800                                                                  00047900
009900 000-INITIATE.                                                    00048000
010000                                                                  00048100
010100     OPEN OUTPUT REPORT-FILE.                                     00048200
010200                                                                  00048300
010300     INITIATE THE-REPORT.                                         00048400
010400                                                                  00048500
010500     MOVE SPACES TO PARAMETER-BLOCK.                              00048600
010600     CALL 'JOBCRD' USING PB-JOBNAME,                              00048700
010700                         PB-MSGCLASS,                             00048800
010800                         PB-PRIORITY,                             00048900
010900                         PB-REGION,                               00049000
011000                         PB-TIME,                                 00049100
011100                         PB-NAME,                                 00049200
011200                         PB-ACCOUNT,                              00049300
011300                         PB-ACCOUNTL,                             00049400
011400                         PB-ROOM,                                 00049500
011500                         PB-ROOML,                                00049600
011600                         PB-JOBCLASS,                             00049700
011700                         PB-JES2NUMBER.                           00049800
011800                                                                  00049900
011900     GENERATE THE-DETAIL.                                         00050000
012000                                                                  00050100
012100 000-TERMINATE.                                                   00050200
012200     TERMINATE THE-REPORT.                                        00050300
012300                                                                  00050400
012400     CLOSE REPORT-FILE.                                           00050500
012500                                                                  00050600
012600     STOP RUN.                                                    00050700
012700                                                                  00050800
//LKED.SYSLIB DD                                                        00050900
//    DD DSN=SYS2.OBJLIB,DISP=SHR    <-- LIBRARY CONTAINING JOBCRD      00051000
//GO.SYSPRINT DD SYSOUT=*                                               00060000
//                                                                      00080000
